/* ---MAIN STYLES--- */

.landing_section {
    height: 100vh;
}

.landing_section .landing_box {
    height: 100%;
    display: grid;
    grid-template-columns: 45% 50%;
    gap: 5%;
}

.landing_section .media_box {
    position: relative;
    height: 100%;
}

.landing_section .media_box img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.landing_section .info_box {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 2vw;
}

.landing_section .logo {
    width: 30%;
}

.landing_section .content_box {
    display: flex;
    flex-direction: column;
    gap: .5vw;
}

.landing_section .content_box h1 {
    font-size: 2vw;
}

.landing_section .content_box p {
    width: 65%;
}

.landing_section .contact_box {
    display: flex;
    flex-direction: column;
    gap: .5vw;
}

.landing_section .contact_box a {
    color: var(--brown);
    font-size: 1vw;
}

.landing_section .hours_box {
    display: flex;
    flex-direction: column;
    gap: .5vw;
}

.landing_section .hours_box h2 {
    font-size: 1.2vw;
}

.landing_section .networks_box {
    display: flex;
    gap: 1.5vw;
}

.landing_section .networks_box i {
    color: var(--brown);
    font-size: 1.25vw;
}

.landing_section .developer {
    font-size: 1vw;
}

.landing_section .language_btn {
    position: absolute;
    color: #fefae0;
    bottom: 0;
    right: 0;
    font-size: 1vw;
    padding: 1vw 2vw;
    background: var(--brown);
}

@media (max-width: 996px) {
    .landing_section .landing_box {
        grid-template-columns: 100%;
        gap: 0;
    }
    .landing_section .media_box {
        height: 100vw;
    }
    .landing_section .info_box {
        align-items: center;
        gap: 10vw;
        padding: 10% 10% 20% 10%;
    }
    .landing_section .logo {
        width: 50%;
    }
    .landing_section .content_box {
        align-items: center;
        gap: 3vw;
    }
    .landing_section .content_box h1 {
        font-size: 5vw;
    }
    .landing_section .content_box p {
        width: 100%;
        text-align: center;
    }
    .landing_section .contact_box {
        align-items: center;
        gap: 3vw;
    }
    .landing_section .contact_box a {
        font-size: 3vw;
        text-align: center;
    }
    .landing_section .hours_box {
        align-items: center;
        gap: 3vw;
    }
    .landing_section .hours_box h2 {
        font-size: 4vw;
    }
    .landing_section .networks_box {
        display: flex;
        gap: 5vw;
    }
    .landing_section .networks_box i {
        font-size: 5vw;
    }
    .landing_section .developer {
        font-size: 3vw;
        text-align: center;
    }
    .landing_section .language_btn {
        right: 50%;
        transform: translateX(50%);
        font-size: 3vw;
        padding: 3vw 5vw;
    }
}


/* ---MAIN STYLES--- */

.main_section .main_item {
    position: relative;
    height: 60vw;
    display: flex;
    align-items: center;
    padding: 5% 10%;
}

.main_section .main_item.st_slide,
.main_section .main_item.rd_slide {
    justify-content: flex-end;
}

.main_section .main_item::before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.main_section .main_item.st_slide::before,
.main_section .main_item.rd_slide::before {
    background: linear-gradient(to left, #00000090, #00000000);
}

.main_section .main_item.nd_slide::before {
    background: linear-gradient(to right, #00000090, #00000000);
}

.main_section .info_box {
    width: 45%;
    position: relative;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1vw;
    z-index: 1;
}

.main_section .title_box {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.main_section .title_box h1,
.main_section .title_box h2,
.main_section .info_box p {
    width: fit-content;
    line-height: 1;
    text-align: center;
}

.main_section .st_slide .title_box h1,
.main_section .st_slide .title_box h2,
.main_section .info_box p {
    color: white;
}

.main_section .st_slide .title_box h1 {
    font-size: 2.5vw;
    font-weight: 400;
}

.main_section .st_slide .title_box h2:nth-child(2) {
    font-size: 4vw;
}

.main_section .st_slide .title_box h2:last-child {
    font-size: 2.3vw;
    color: var(--yellow);
}

.main_section .st_slide .info_box p {
    width: 70%;
}

.main_section .nd_slide .title_box {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.main_section .nd_slide .title_box h2:nth-child(1) {
    color: white;
    font-size: 1.5vw;
    font-weight: 400;
}

.main_section .nd_slide .title_box h2:nth-child(2) {
    color: var(--yellow);
    font-size: 3vw;
}

.main_section .nd_slide .title_box h2:nth-child(3) {
    color: var(--yellow);
    font-size: 8vw;
}

.main_section .nd_slide .title_box h2:nth-child(4) {
    color: white;
    font-size: 1.5vw;
    font-weight: 400;
    padding: 1vw 2vw;
    border-radius: 5vw;
    background: var(--red);
}

.main_section .rd_slide .title_box h2:nth-child(1) {
    color: white;
    font-size: 1.2vw;
    font-weight: 400;
    padding: 1vw 2vw;
    border-radius: 5vw;
    background: var(--red);
}

.main_section .rd_slide .title_box h2 {
    color: white;
}

.main_section .rd_slide .title_box h2:nth-child(2) {
    font-size: 3.5vw;
}

.main_section .rd_slide .title_box h2:nth-child(3) {
    color: var(--yellow);
    font-size: 8vw;
}

.main_section .rd_slide .title_box h2:nth-child(4) {
    font-size: 1.2vw;
    font-weight: 400;
}

@media (max-width: 996px) {
    .main_section .main_item {
        height: 120vw;
        padding: 20% 10%;
    }
    .main_section .main_item.st_slide,
    .main_section .main_item.rd_slide {
        justify-content: center;
    }
    .main_section .main_item.st_slide::before,
    .main_section .main_item.rd_slide::before {
        background: linear-gradient(to top, #00000090, #00000000);
    }
    .main_section .main_item.nd_slide::before {
        background: linear-gradient(to top, #00000090, #00000000);
    }
    .main_section .info_box {
        width: 100%;
        justify-content: flex-end;
        gap: 5vw;
    }
    .main_section .title_box {
        gap: 1vw;
    }
    .main_section .st_slide .title_box h1 {
        font-size: 4.5vw;
    }
    .main_section .st_slide .title_box h2:nth-child(2) {
        font-size: 10vw;
    }
    .main_section .st_slide .title_box h2:last-child {
        font-size: 5.5vw;
    }
    .main_section .st_slide .info_box p {
        width: 100%;
    }
    .main_section .nd_slide .title_box {
        gap: 1vw;
    }
    .main_section .nd_slide .title_box h2:nth-child(1) {
        font-size: 4.5vw;
    }
    .main_section .nd_slide .title_box h2:nth-child(2) {
        font-size: 8vw;
    }
    .main_section .nd_slide .title_box h2:nth-child(3) {
        font-size: 18vw;
    }
    .main_section .nd_slide .title_box h2:nth-child(4) {
        font-size: 4.5vw;
        padding: 2vw 5vw;
        border-radius: 10vw;
    }
    .main_section .rd_slide .title_box h2:nth-child(1) {
        font-size: 4.5vw;
        padding: 2vw 5vw;
        border-radius: 10vw;
    }
    .main_section .rd_slide .title_box h2:nth-child(2) {
        font-size: 8vw;
    }
    .main_section .rd_slide .title_box h2:nth-child(3) {
        font-size: 15vw;
    }
    .main_section .rd_slide .title_box h2:nth-child(4) {
        font-size: 4.5vw;
    }
}


/* ---ABOUT STYLES--- */

.about_section {
    padding: 10% 10% 5% 10%;
}

.about_section .about_box {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.about_section .info_box {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1vw;
    padding: 5vw;
}

.about_section .info_box h2,
.about_section .info_box p {
    position: relative;
    color: white;
    z-index: 1;
}

.about_section .info_box a {
    color: var(--red);
    border: .1vw solid white;
    background: white;
    z-index: 1;
}

.about_section .info_box a:hover {
    color: white;
    border: .1vw solid white;
    background: transparent;
}

.about_section .media_box {
    position: relative;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    background: #e59822;
}

.about_section .media_box img {
    pointer-events: none;
}

.about_section .media_box img:nth-child(1) {
    position: absolute;
    top: 0;
    left: 0;
    width: 60%;
    transform: translate(-20%, -20%);
    z-index: 1;
}

.about_section .media_box img:nth-child(2) {
    width: 60%;
    transform: scale(1.1);
    transform-origin: bottom right;
    z-index: 2;
}

.about_section .media_box img:nth-child(3) {
    width: fit-content;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

@media (max-width: 996px) {
    .about_section {
        padding: 10%;
    }
    .about_section .about_box {
        grid-template-columns: 1fr;
    }
    .about_section .info_box {
        gap: 3vw;
        padding: 5vw 5vw 15vw 5vw;
    }
    .about_section .info_box a {
        border: .25vw solid white;
    }
    .about_section .info_box a:hover {
        border: .25vw solid white;
    }
    .about_section .media_box img:nth-child(2) {
        width: 80%;
    }
}


/* ---MENU STYLES */

.menu_section {
    padding: 5% 10%;
}

.menu_section .menu_box {
    display: flex;
    flex-direction: column;
}

.menu_section .title_box {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1vw;
}

.menu_section .title_box h2 {
    text-align: center;
}

.menu_section .title_box p {
    text-align: center;
}

.menu_section .media_box {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.menu_section .media_box::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 15vw;
    height: 15vw;
    border-radius: 50%;
    background: var(--yellow);
}

.menu_section .media_box img {
    position: relative;
    width: 90%;
    height: 20vw;
    object-fit: contain;
    z-index: 1;
    cursor: pointer;
    transition: .25s;
}

.menu_section .media_box img:hover {
    transform: scale(.95);
}

.menu_section .media_box.dishes img {
    width: 80%;
}

.menu_section .info_box {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1vw;
}

.menu_section .info_box h2 {
    font-size: 1.5vw;
    text-align: center;
}

.menu_section .main_btn:hover {
    color: var(--red);
    border: .1vw solid var(--red);
    background: transparent;
}

@media (max-width: 996px) {
    .menu_section {
        padding: 10%;
    }
    .menu_section .menu_box {
        gap: 2vw;
    }
    .menu_section .title_box {
        gap: 3vw;
    }
    .menu_section .media_box::before {
        width: 60vw;
        height: 60vw;
    }
    .menu_section .media_box img {
        width: 80%;
        height: 70vw;
    }
    .menu_section .media_box.dishes img {
        width: 70%;
    }
    .menu_section .info_box {
        gap: 5vw;
    }
    .menu_section .info_box h2 {
        font-size: 5vw;
        text-align: center;
    }
    .menu_section .main_btn:hover {
        border: .25vw solid var(--red);
    }
}


/* ---HAPPY STYLES--- */

.happy_section {
    padding: 5% 10%;
}

.happy_section .happy_box {
    position: relative;
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.happy_section .title_box {
    position: relative;
    padding: 5vw;
    z-index: 1;
}

.happy_section .title_box::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--yellow);
    border-radius: 0 0 5vw 0;
}

.happy_section .title_box h2 {
    font-size: 8vw;
    font-weight: bold;
    text-align: center;
    font-style: italic;
    line-height: .8;
    transform: rotate(-8deg);
}

.happy_section .title_box h2 span {
    color: white;
    font-size: 5vw;
    font-style: inherit;
    padding: 1vw 3vw;
    border-radius: 1vw;
    background: var(--red);
}

.happy_section .info_box {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1vw;
    padding: 5vw;
    z-index: 1;
}

.happy_section .info_box h2 {
    color: white;
    text-align: center;
}

.happy_section .info_box p {
    color: white;
    text-align: center;
}

@media (max-width: 996px) {
    .happy_section {
        padding: 10%;
    }
    .happy_section .happy_box {
        grid-template-columns: 1fr;
    }
    .happy_section .title_box {
        padding: 10vw 5vw 15vw 5vw;
    }
    .happy_section .title_box::before {
        border-radius: 0 0 10vw 0;
    }
    .happy_section .title_box h2 {
        font-size: 15vw;
        line-height: .8;
        transform: rotate(-8deg);
    }
    .happy_section .title_box h2 span {
        font-size: 8vw;
        padding: 2vw 6vw;
        border-radius: 3vw;
    }
    .happy_section .info_box {
        gap: 3vw;
        padding: 10vw 5vw;
    }
    .happy_section .info_box h2 {
        font-size: 5vw;
    }
    .happy_section .info_box p {
        width: 70%;
    }
}


/* ---GALLERY STYLES--- */

.gallery_section {
    display: flex;
    flex-direction: column;
    gap: 1vw;
    padding: 5% 10%;
}

.gallery_section .title_box h2 {
    text-align: center;
}

.gallery_section .gallery_box {
    height: 50vw;
    display: grid;
    grid-template-areas: "a b c" "d b f" "d e f";
    gap: 1vw;
}

.gallery_section .gallery_item:nth-child(1) {
    grid-area: a;
}

.gallery_section .gallery_item:nth-child(2) {
    grid-area: b;
}

.gallery_section .gallery_item:nth-child(3) {
    grid-area: c;
}

.gallery_section .gallery_item:nth-child(4) {
    grid-area: d;
}

.gallery_section .gallery_item:nth-child(5) {
    grid-area: e;
}

.gallery_section .gallery_item:nth-child(6) {
    grid-area: f;
}

.gallery_section .gallery_item {
    position: relative;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    cursor: pointer;
    background: var(--brown);
}

.gallery_section .gallery_item img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    transition: .5s;
}

.gallery_section .gallery_item:hover img {
    transform: scale(1.05);
    opacity: .5;
}

.gallery_section .gallery_item a {
    position: relative;
    z-index: 1;
}

.gallery_section .gallery_item a {
    border: .1vw solid white;
    background: transparent;
    opacity: 0;
    pointer-events: none;
}

.gallery_section .gallery_item:hover a {
    opacity: 1;
    pointer-events: inherit;
}

.gallery_section .gallery_item:hover a:hover {
    color: var(--brown);
    background: white;
}

@media (max-width: 996px) {
    .gallery_section {
        gap: 5vw;
        padding: 10%;
    }
    .gallery_section .gallery_box {
        height: 80vw;
        gap: 2vw;
    }
    .gallery_section .gallery_item a {
        display: none;
    }
}


/* ---CONTACT STYLES--- */

.contact_section {
    padding: 5% 10%;
}

.contact_section .contact_box {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.contact_section .info_box {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1vw;
}

.contact_section .form_box {
    display: flex;
    flex-direction: column;
    gap: 1vw;
}

.contact_section .form_box input {
    font-size: .9vw;
    padding: .5vw;
    border: none;
    background: #f0f0f0;
}

.contact_section .form_box textarea {
    resize: none;
    font-size: .9vw;
    height: 8vw;
    padding: .5vw;
    border: none;
    background: #f0f0f0;
}

.contact_section .form_box input:focus-visible,
.contact_section .form_box textarea:focus-visible {
    outline: none;
    background: #4b261120;
}

.contact_section .message_box {
    position: relative;
    height: 1.5vw;
}

.contact_section .message_box p {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    font-size: .8vw;
}

.contact_section .success {
    color: #159f00;
}

.contact_section .error {
    color: #d54d2f;
}

.contact_section .main_btn:hover {
    color: var(--red);
    border: .1vw solid var(--red);
}

.contact_section .media_box {
    display: flex;
    justify-content: center;
    align-items: center;
}

.contact_section .media_box img:nth-child(1) {
    width: 4% !important;
}

.contact_section .media_box img:nth-child(2) {
    width: 70% !important;
}


.contact_section .media_box img:nth-child(3) {
    width: 4% !important;
}

@media (max-width: 996px) {
    .contact_section {
        padding: 10%;
    }
    .contact_section .contact_box {
        grid-template-columns: 1fr;
    }
    .contact_section .info_box {
        gap: 5vw;
    }
    .contact_section .form_box {
        gap: 5vw;
    }
    .contact_section .form_box input {
        font-size: 3vw;
        padding: 3vw;
    }
    .contact_section .form_box textarea {
        font-size: 3vw;
        height: 30vw;
        padding: 3vw;
    }
    .contact_section .message_box {
        height: 5vw;
    }
    .contact_section .message_box p {
        font-size: 2.5vw;
    }
    .contact_section .media_box img {
        width: 90%;
    }
}